更新时间:2022 年 3 月 1 日

VMware Tools | 2022 年 3 月 1 日 | 内部版本 19345655

请查看本发行说明以了解新增内容及更新。

发行说明内容

本发行说明包含以下主题:

新增功能

以前的 VMware Tools 版本

  • 对于更早版本的 VMware Tools,请参见 VMware Tools 文档页面。

开始之前

  • VMware Tools 12.0.0 支持以下客户机操作系统:
    • windows.iso 支持 Windows 7 SP1 或 Windows Server 2008 R2 SP1 及更高版本。 
      • Microsoft Visual C++ Redistributable 软件包是安装适用于 Windows 的 VMware Tools 12.0.0 的必备条件,并随 VMware Tools 12.0.0 下载软件包一起提供。准备 Windows 客户机进行安装时,VMware Tools 会运行 Microsoft Visual C++ Redistributable 软件包安装程序,该安装程序会检查客户机上是否存在更新的版本。如果客户机上已存在更新的版本,则不会安装该软件包。
        对于 32 位 Windows 客户机,必备版本为 Microsoft Visual C++ 2015-2019 Redistributable (x86) 版本 14.29.30133.0。
        对于 64 位 Windows 客户机,必备版本为 Microsoft Visual C++ 2015-2019 Redistributable (x86) 版本 14.29.30133.0 和 Microsoft Visual C++ 2015-2019 Redistributable (x64) 版本 14.29.30133.0。
      • 对于不满足必备条件的 Windows 版本,不支持安装或升级到 VMware Tools 12.0.0。客户应继续使用 VMware Tools 10.2.x 或更低版本,直到他们可以修补或更新其 Windows 操作系统以满足安装 VMware Tools 12.0.0 的必备条件为止。要获取受支持的最新 Visual C++ 下载,请参阅 Microsoft 更新 KB2977003
      • Windows 操作系统级别的必备条件
        • Windows Server 2022
        • Windows 11
        • Windows Server 2019
        • Windows Server 2016
        • Windows 10
        • 包含 Microsoft 更新 KB2919355 的 Windows Server 2012 R2
        • 包含 Microsoft 更新 KB2919355 的 Windows 8.1
        • Windows Server 2012 
        • Windows 8
        • 包含 Microsoft 更新 KB4474419 的 Windows Server 2008 R2 Service Pack 1 (SP1)。
        • 包含 Microsoft 更新 KB4474419 的 Windows 7 Service Pack 1 (SP1)。
    • darwin.iso 支持 Mac OS X 版本 10.11 及更高版本。
    • 有关 linux.iso 的详细信息,请参阅 VMware Tools 10.3.24 发行说明
    • 有关 solaris.iso 的详细信息,请参阅 VMware Tools 10.3.10 发行说明
  • 对于某些生命周期结束的客户机操作系统,VMware Tools ISO 映像处于冻结状态。某些 ISO 映像未随 tools-light VIB 中的 ESXi 一起提供。有关更多详细信息,请参阅 VMware Tools 文档页面。所有 VMware Tools ISO 映像都可从 https://customerconnect.vmware.com/home 下载。
  • 适用于 Windows 的 VMware Tools:当前有 32 位和 64 位安装程序可执行 (.exe) 文件可供下载。提供这些文件是为了在 Windows 客户机操作系统中更轻松地访问和安装 VMware Tools。

有关升级至 ESXi 6.5 或更高版本的重要说明

不兼容问题的解决方法和一般准则:在将 ESXi 主机升级至 ESXi 6.5 或更高版本并使用较低版本的 Horizon View Agent 时,请参阅以下知识库文章:

国际化

VMware Tools 12.0.0 提供以下语言版本:

  • 英语
  • 法语
  • 德语
  • 西班牙语
  • 意大利语
  • 日语
  • 韩语
  • 简体中文
  • 繁体中文

产品支持声明

  • 用于 VMWare Tools 的 Vista 之前的 Windows ISO 映像不再随 ESXi 一起打包。如果需要,用户可通过下载获取 Vista 之前的 Windows ISO 映像。有关下载信息,请参见产品下载页面。

终止功能支持声明

  • 从 VMware Tools 12.0.0 版本起,移除了 AppDefense 支持。
  • VMware Tools 在 Tools ISO 中提供了 PVSCSI 软盘映像和 PVSCSI 驱动程序,用于在 PVSCSI 磁盘控制器上安装操作系统。下一版本的 VMware Tools 中将移除支持操作系统版本 Vista、Server 2008 和 Windows 7 的 PVSCSI 软盘映像。
  • 不支持“VMXNET 2 (Enhanced)”网络适配器。
    如果用户运行的是 Windows Server 2008 R2 版本的 Windows,并且为虚拟机配置了“VMXNET 2 (Enhanced)”适配器,则建议切换到 VMXNET3 网络适配器。
  • 将继续支持 VMware Tools 10.3.x 版本附带的 Tar 工具 (linux.iso) 和 OSP。但是,VMware Tools 10.3.5 之后的版本仅包含关键修复和安全修复,而不再支持这些类型的 VMware Tools(Tar 工具和 OSP)中提供的新功能。对于支持 open-vm-tools 的操作系统,建议客户使用 open-vm-tools。有关 open-vm-tools 的详细信息,请参阅 https://kb.vmware.com/s/article/2073803

兼容性说明

  • 从 VMware Tools 版本 10.2.0 开始,不再支持使用 Perl 脚本安装适用于 FreeBSD 的 VMware Tools。只能通过 open-vm-tools 软件包支持 FreeBSD 系统,该软件包可直接从 FreeBSD 软件包存储库中获取。适用于 open-vm-tools 10.1.0 及更高版本的 FreeBSD 软件包可从 FreeBSD 软件包存储库中获取。

客户机操作系统自定义支持

客户机操作系统自定义支持列表详细介绍了支持自定义的客户机操作系统。

互操作性列表

VMware 产品互操作性列表详细介绍了当前及早期版本的 VMware 产品的兼容性。

此版本的安装和升级

可以从产品下载页面下载 VMware Tools。

VMware Tools 的安装步骤取决于您的 VMware 产品和您安装的客户机操作系统。有关在大部分 VMware 产品中安装 VMware Tools 的常规步骤,请参见 VMware Tools 常规安装说明 (1014294)。要设置 productLocker 以指向共享的数据存储,请参见知识库文章 2004018

该版本提供了软件包以通过 GuestStore 升级 VMware Tools 11.2.5 或更高版本的部署。

有关安装、升级和配置 VMware Tools 的具体说明,请参见 VMware Tools 文档页面。

VMware Tools 安装的 Windows 客户机驱动程序

VMware Tools 12.0.0 在 Windows 客户机操作系统上支持以下驱动程序版本:

驱动程序 VMware Tools 12.0.0
硬件驱动程序
efifwfromhost.bin

1.0.0.0

pvscsi.sys

对于 Windows 7 和 Windows Server 2008 Release 2:  1.3.15.0

对于 Windows 8、Windows 8.1、Windows 10、Windows 11、Windows Server 2012、Windows Server 2012 Release 2、Windows Server 2016、Windows Server 2019 和 Windows Server 2022:  1.3.17.0

vmaudio.sys

5.10.0.3506

vmci.sys

9.8.18.0

vmmouse.sys

12.5.12.0

vmusbmouse.sys

12.5.12.0

vmxnet3.sys

1.9.5.0

vm3dmp.sys

9.17.01.0002

软件驱动程序
vmhgfs.sys

11.0.44.0

vmmemctl.sys

7.5.7.0

vmrawdsk.sys

1.1.7.0

vnetWFP.sys

12.0.0.0

vsepflt.sys

12.0.0.0

vsock.sys

9.8.19.0

安全 DLL
vmwsu.dll

2.5.1.0

已知问题

已知问题分为以下几类。

VMware Tools 问题
  • 在虚拟机中安装 Windows Vista、Server 2008 或 Windows 7 失败。

    在 PVSCSI 控制器上具有引导磁盘的虚拟机中安装 Windows 操作系统 Vista、Server 2008 或 Windows 7 时,无法安装所需的 PVSCSI 驱动程序。

    http://my.vmware.com 下载 VMware Tools 软件包版本 11.1.5,提取内容,然后使用适用于 Windows 操作系统 Vista 或 Server 2008 的 VMware Tools windows.iso 或软盘。

    注意:

    如果用户要管理 ESXi 主机或需要在 PVSCSI 控制器上多次安装相同的 Windows 操作系统版本,他们可以查看 https://kb.vmware.com/s/article/84200 中概述的步骤。

  • 与 ICMP 相关的 IDFW 规则不起作用。

    升级到 VMware Tools 12.0.0 版本后,NSX-IDFW 客户可能会发现与 ICMP 相关的 IDFW 规则未发挥预期的作用。

    导致出现此问题的原因是,从 VMware Tools 12.x.x 版本开始,由于 ICMP 数据包丢失问题,默认情况下会禁用 ICMP 筛选。有关如何启用相应注册表设置以启用 ICMP 筛选的信息,请参阅 [知识库文章链接]

  • VMware Tools 升级失败,并显示错误代码 1072(指定的服务已被标记为删除)。

    将 VMware Tools 升级到新版本时,如果原先版本的 VMware Tools 服务未完全删除,则会导致新版本的 VMware Tools 服务安装失败,并导致升级出现致命错误。

    为防止 VMware Tools 升级每次都发生灾难性的失败,当检测到服务未完全删除的情况时,新服务创建进程将暂停,然后重试,以确认此情况是否已消除。VMware Tools 安装程序将暂停长达两分半钟。在这之后,将出现致命错误。如果上述情况已消除,升级进程将创建新服务并继续执行。

    有关详细信息,请参阅 https://kb.vmware.com/s/article/84269

    解决方法:

    重试安装 VMware Tools。

  • 在使用安装程序参数升级到新版本的 VMware Tools 以移除 NetworkIntrospection 功能后,旧版本的 vnetflt 或 vnetWFP 驱动程序服务继续运行。

    升级后,系统的 VMware Tools MSI 数据库中不存在 NetworkIntrospection 功能,但该功能的 vnetflt 或 vnetWFP 驱动程序服务仍然存在。

    解决方法:

    请参阅知识库文章 78016。 

    注意:仅当从低于 11.1.0 的版本升级 VMware Tools 时,才会出现此问题。

  • 在不支持 SHA-2 代码签名的 Windows 7 SP1 和 Windows Server 2008 R2 SP1 上,VMware Tools 升级失败。

    从 2019 年 12 月 3 日开始,Microsoft 已将 Windows 驱动程序签名更改为仅使用 SHA-2 算法。不支持 SHA-2 代码签名的旧版 Windows 系统将无法进行驱动程序签名验证。

    解决方法:

    请参阅知识库文章 78708

  • 安装 VMware Tools 11.1.x 或者将 VMware Tools 10.3.0 之前的版本升级到 VMware Tools 11.1.x 可能需要较长的时间,并且可能需要重新启动 Windows 操作系统。

    安装过程可能显示为正在进行中,并且会显示一条类似以下内容的消息:
    “正在准备 VMware Tools 以进行安装...”("Preparing 'VMware Tools' for installation...")

    在此过程中,系统可能会提示用户重新启动操作系统。 

    有关详细信息,请参阅知识库文章 55798

VMware Workstation 或 Fusion 中的 VMware Tools 问题
  • 无法在 Linux 虚拟机上执行共享文件夹挂载操作。

    如果在关闭 Linux 虚拟机的电源时在该虚拟机上启用了共享文件夹功能,重新启动时无法执行共享文件夹挂载操作。

    注意:在 Workstation 和 Fusion 上运行的 VMware Tools 会出现此问题。

    解决方法:

    如果虚拟机已打开电源,则可以从界面中禁用和启用共享文件夹功能。为了永久解决此问题,请编辑 /etc/fstab 并添加一个条目,以在引导时自动挂载共享文件夹。

    例如,添加以下行:

    vmhgfs-fuse   /mnt/hgfs    fuse    defaults,allow_other    0    0

  • 拖动功能在 Ubuntu 中无法正常工作。

    拖动功能在使用“简易安装”方式安装的 Ubuntu 16.04.4 32 位虚拟机中无法正常工作。此外,在此类系统中还发现存在复制和粘贴功能失败的问题。

    注意:在 Workstation 和 Fusion 上运行的 VMware Tools 会出现此问题。

    解决方法:

    • 添加 modprobe.blacklist=vmwgfx Linux 内核引导选项。
    • 要获得较高的分辨率,请从 VMX 文件中移除 svga.guestBackedPrimaryAware = "TRUE" 选项。
VMware Horizon 中的 VMware Tools 问题
  • 在 Windows 8/Windows 8.1/Windows Server 2008 R2 上安装 Horizon Agent 后,WDDM 驱动程序在安装 Windows Update 时失败。

    在 Windows 8/Windows 8.1/Windows Server 2008 R2 上安装 Horizon Agent 后,WDDM 驱动程序在安装 Windows Update 时失败。

    在驱动程序发布过程完成后,将通过 Windows Update 服务提供 WDDM 驱动程序。

check-circle-line exclamation-circle-line close-line
Scroll to top icon